<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('prl_schedl_masters', function (Blueprint $table) {
            $table->date('start_date')->nullable()->after('s_name');
            $table->integer('no_of_entry')->default(0)->after('start_date');
            $table->integer('block_stff')->default(0)->after('no_of_entry');
            $table->integer('wait_to_enter')->default(0)->after('block_stff');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('prl_schedl_masters', function (Blueprint $table) {
            //
        });
    }
};
